Bug 157233 - [PATCH] ftp/lftp: fix build on -current
Summary: [PATCH] ftp/lftp: fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-21 11:40 UTC by Brendan Fabeny
Modified: 2011-05-23 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (647 bytes, patch)
2011-05-21 11:40 UTC, Brendan Fabeny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-05-21 11:40:12 UTC
On 18 May 2011, mdf@ added an implementation of posix_fallocate() to -current:

http://svnweb.FreeBSD.org/base?view=revision&revision=220791

The lftp configure script detects this and sets HAVE_POSIX_FALLOCATE in ${WRKSRC}/confdefs.h.  This breaks the build because ${WRKSRC}/src/Torrent.cc then attempts to use posix_fallocate() with POSIX_FADV_SEQUENTIAL and POSIX_FADV_NOREUSE, and FreeBSD still does not have POSIX_FADV*.  To fix the build, disable the detection of posix_fallocate() in the configure script.

While here, remove the explicit addition of CPPFLAGS to CONFIGURE_ENV: that is now done in bsd.port.mk.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-05-21 11:40:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-05-23 14:10:18 UTC
martymac    2011-05-23 13:10:06 UTC

  FreeBSD ports repository

  Modified files:
    ftp/lftp             Makefile 
  Log:
  - Fix build on OSVERSION > 900035 by disabling use of posix_fallocate()
  - Remove CPPFLAGS from CONFIGURE_ENV
  
  PR:             ports/157233
  Submitted by:   bf
  
  Revision  Changes    Path
  1.159     +4 -1      ports/ftp/lftp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ganael LAPLANCHE freebsd_committer 2011-05-23 14:12:18 UTC
State Changed
From-To: open->closed

Committed, thanks!